Last Comment Bug 788418 - Image error is unreadable against dark background
: Image error is unreadable against dark background
Status: VERIFIED FIXED
: regression
Product: Toolkit
Classification: Components
Component: Themes (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla18
Assigned To: Dão Gottwald [:dao]
:
Mentors:
data:image/png,
Depends on:
Blocks: 756419
  Show dependency treegraph
 
Reported: 2012-09-05 00:07 PDT by Minh Nguyễn
Modified: 2012-10-15 06:48 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
wontfix
verified
verified


Attachments
unreadable-error.png (100.97 KB, image/png)
2012-09-05 00:07 PDT, Minh Nguyễn
no flags Details
patch (9.47 KB, patch)
2012-09-07 05:11 PDT, Dão Gottwald [:dao]
jaws: review+
gavin.sharp: approval‑mozilla‑aurora+
akeybl: approval‑mozilla‑beta+
Details | Diff | Splinter Review

Description Minh Nguyễn 2012-09-05 00:07:10 PDT
Created attachment 658395 [details]
unreadable-error.png

User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:17.0) Gecko/17.0 Firefox/17.0
Build ID: 20120903042010

Steps to reproduce:

Opened a broken image, such as:

data:image/png,


Actual results:

The “cannot be displayed” error message is black against the dark gray background.


Expected results:

The error message should have been white or near white for better readability.

This is a regression caused by the following changesets:

https://hg.mozilla.org/mozilla-central/rev/836e451c8b77
https://hg.mozilla.org/mozilla-central/rev/35ac9dfcef9b
Comment 1 Dão Gottwald [:dao] 2012-09-07 05:11:35 PDT
Created attachment 659219 [details] [diff] [review]
patch
Comment 2 Jared Wein [:jaws] (please needinfo? me) 2012-09-10 02:53:54 PDT
Comment on attachment 659219 [details] [diff] [review]
patch

Review of attachment 659219 [details] [diff] [review]:
-----------------------------------------------------------------

::: toolkit/themes/winstripe/global/TopLevelImageDocument.css
@@ +12,2 @@
>      background-color: #fff;
>      color: #222;

Why does the tag name need to be specified here?
Comment 3 Dão Gottwald [:dao] 2012-09-10 02:55:48 PDT
(In reply to Jared Wein [:jaws] from comment #2)
> ::: toolkit/themes/winstripe/global/TopLevelImageDocument.css
> @@ +12,2 @@
> >      background-color: #fff;
> >      color: #222;
> 
> Why does the tag name need to be specified here?

It makes the code more readable. The class by itself isn't as descriptive.
Comment 5 Ryan VanderMeulen [:RyanVM] 2012-09-10 18:47:24 PDT
https://hg.mozilla.org/mozilla-central/rev/0b6afc4c7b06
Comment 6 Dão Gottwald [:dao] 2012-09-10 23:47:56 PDT
Comment on attachment 659219 [details] [diff] [review]
patch

[Approval Request Comment]
Bug caused by (feature/regressing bug #): bug 756419
User impact if declined: unreadable errors for some invalid images
Testing completed (on m-c, etc.): manual on m-c
Risk to taking this patch (and alternatives if risky): low risk
String or UUID changes made by this patch: none
Comment 8 Alex Keybl [:akeybl] 2012-09-11 13:47:55 PDT
Comment on attachment 659219 [details] [diff] [review]
patch

Sounds like regressions (if any) could be wontfix'd. Approving for Beta.
Comment 10 Paul Silaghi, QA [:pauly] 2012-09-21 04:15:42 PDT
Reproduced the issue on FF 16b3.
Verified fixed on FF 16b4 on Win 7 x64, Ubuntu 12.04 and Mac OS X 10.7.4.
Comment 11 Paul Silaghi, QA [:pauly] 2012-10-15 06:48:32 PDT
Verified fixed on FF 17b1 on Win 7 x64, Ubuntu 12.04 and Mac OS X 10.6.8.

Note You need to log in before you can comment on or make changes to this bug.